SQLITE_CHANGESETSTART_INVERT(3) | Library Functions Manual | SQLITE_CHANGESETSTART_INVERT(3)

# NAME

`SQLITE_CHANGESETSTART_INVERT` — flags for sqlite3changeset_start_v2

# SYNOPSIS

`#include <sqlite3.h>`

`#define SQLITE_CHANGESETSTART_INVERT`

# DESCRIPTION

The following flags may passed via the 4th parameter to sqlite3changeset_start_v2 and sqlite3changeset_start_v2_strm:
Invert the changeset while iterating through it. This is equivalent to inverting a changeset using sqlite3changeset_invert() before applying it. It is an error to specify this flag with a patchset.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 11488.

    #define SQLITE_CHANGESETSTART_INVERT        0x0002

# SEE ALSO

sqlite3changeset_apply_strm(3), sqlite3changeset_start(3)

January 24, 2024 | NetBSD 11.0